Get entries relations

Returns the specified DataLens entries relations.

Request

POST

http://<хост_on-premises>/rpc/getEntriesRelations

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "entryIds": [
    "example"
  ],
  "linkDirection": "from",
  "includePermissionsInfo": true,
  "limit": 0.5,
  "pageToken": "example",
  "scope": "dash"
}

Name

Description

entryIds

Type: string[]

ID of the entries to get relations for.

Example
[
  "example"
]

includePermissionsInfo

Type: boolean

Include permission information in the response.

limit

Type: number

Maximum number of results to return.

linkDirection

Type: string

The direction of the link relatively to the original entry:

  • from — entries that are linked to the original entry
  • to — the original entry is linked to the entries

Enum: from, to

pageToken

Type: string

Token for retrieving the next page of results.

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

Responses

200 OK

Response

Body

application/json
{
  "relations": [
    {
      "entryId": "example",
      "key": "example",
      "scope": "dash",
      "type": "example",
      "createdAt": "example",
      "public": true,
      "tenantId": "example",
      "workbookId": "example",
      "collectionId": "example",
      "isLocked": true,
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      },
      "fullPermissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "delete": true,
        "createEntryBinding": true,
        "createLimitedEntryBinding": true
      }
    }
  ],
  "nextPageToken": "example"
}

Name

Description

relations

Type: GetEntriesRelationsEntry[]

List of related entries.

Example
[
  {
    "entryId": "example",
    "key": "example",
    "scope": "dash",
    "type": "example",
    "createdAt": "example",
    "public": true,
    "tenantId": "example",
    "workbookId": "example",
    "collectionId": "example",
    "isLocked": true,
    "permissions": {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    },
    "fullPermissions": {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "delete": true,
      "createEntryBinding": true,
      "createLimitedEntryBinding": true
    }
  }
]

nextPageToken

Type: string

Token for retrieving the next page of results.

Example: example

GetEntriesRelationsEntry

Name

Description

collectionId

Type: string | null

ID of the collection the entry belongs to.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

entryId

Type: string

Unique identifier of the entry.

Example: example

key

Type: string | null

Key identifier of the entry.

Example: example

public

Type: boolean

Indicates if the entry is public.

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

tenantId

Type: string | null

ID of the DataLens tenant.

Example: example

type

Type: string

Specified type of the entry from scope (e.g. type of the connection or visualization type for charts).

Example: example

workbookId

Type: string | null

ID of the workbook the entry belongs to.

Example: example

fullPermissions

Type: object

copy

Type: boolean

Permission to copy.

createEntryBinding

Type: boolean

Permission to create entry binding.

createLimitedEntryBinding

Type: boolean

Permission to create limited entry binding.

delete

Type: boolean

Permission to delete.

limitedView

Type: boolean

Permission for limited viewing.

listAccessBindings

Type: boolean

Permission to list access bindings.

move

Type: boolean

Permission to move.

update

Type: boolean

Permission to update.

updateAccessBindings

Type: boolean

Permission to update access bindings.

view

Type: boolean

Permission to view.

Full permissions for the entry.

Example
{
  "listAccessBindings": true,
  "updateAccessBindings": true,
  "limitedView": true,
  "view": true,
  "update": true,
  "copy": true,
  "move": true,
  "delete": true,
  "createEntryBinding": true,
  "createLimitedEntryBinding": true
}

isLocked

Type: boolean

Indicates if the entry is locked.

permissions

Type: object

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Basic permissions for the entry.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}
Example
{
  "entryId": "example",
  "key": "example",
  "scope": "dash",
  "type": "example",
  "createdAt": "example",
  "public": true,
  "tenantId": "example",
  "workbookId": "example",
  "collectionId": "example",
  "isLocked": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  },
  "fullPermissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "delete": true,
    "createEntryBinding": true,
    "createLimitedEntryBinding": true
  }
}
Предыдущая
Следующая